ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
href_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_href (&$Settings)
| compile_submit (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $Security = false
| $String = false

## Detailed Description

Class processes controls macro.

Author
  Dodonov A.A.

Definition at line 26 of file href_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 52 of file href_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_href | ( | & | $Settings | ) |

Function compiles macro 'href'.

Parameters

  $Settings | - Parameters.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file href_markup.php.

{
try
{
$Settings->set_undefined( 'waiting' , 'false' );
$Settings->set_undefined( 'text' , 'no_text' );
$Settings->set_undefined( 'raw_text' , '' );
$Settings->set_undefined( 'confirm_string' , 'no_text' );
$FileName = $Settings->get_setting( 'tpl' , 'std' );
$Code = $this->CachedMultyFS->get_template( __FILE__ , $FileName.'.tpl' );
return( $this->String->print_record( $Code , $Settings->get_raw_settings() ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_submit | ( | & | $Settings | ) |

Function compiles macro 'submit'.

Parameters

  $Settings | - Parameters.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 130 of file href_markup.php.

{
try
{
$Settings->set_undefined( 'text' , 'submit' );
$Settings->set_undefined( 'waiting' , 'false' );
$Settings->set_undefined( 'text' , 'no_text' );
$Settings->set_undefined( 'raw_text' , '' );
$Settings->set_undefined( 'confirm_string' , 'no_text' );
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'submit0.tpl' );
return( $this->String->print_record( $Code , $Settings->get_raw_settings() ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file href_markup.php.

$Security = false

Definition at line 39 of file href_markup.php.

$String = false

Definition at line 40 of file href_markup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/href_markup/href_markup.php